Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/compor/SalvarEmailTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/compor/SalvarEmailTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/compor/SalvarEmailTestCase.java	(revision 3766)
@@ -6,4 +6,11 @@
 
 /**
+ * Suite:[FUN02.1] Compor Mensagem
+ * 
+ * Caso de Teste: EL-546:Salvar mensagem
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-546
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,4 +20,7 @@
 public class SalvarEmailTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Compoe uma mensagem e salva no rascunho para posterior envio.
+	 */
 	@Test
 	public void test() {
@@ -18,4 +28,5 @@
 		mp.saveEmail();
 		mp.assertMessage(MSG_EMAIL_RASCUNHO);
+		mp.closeMail(false);
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/EncaminharEmailAnexoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/EncaminharEmailAnexoTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/EncaminharEmailAnexoTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.5] Responder Mensagem
+ * 
+ * Caso de Teste: EL-608:Encaminhar mensagem com anexo
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-608
+ * 
+ * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailAnexoTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,8 +22,12 @@
 public class EncaminharEmailAnexoTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Le um email com anexo e o encaminha.
+	 */
 	@Test
 	public void test() {
 		String id = mp.readEmail(EMAIL_ASSUNTO_ANEXO);
 		mp.forwardEmail(id, EMAIL_TESTE_1);
+		mp.assertMessage(MSG_EMAIL_ENVIADO);
 	}
 }
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.5] Responder Mensagem
+ * 
+ * Caso de Teste: EL-603:Responder mensagem ao remetente
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-603
+ * 
+ * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,8 +22,12 @@
 public class ResponderEmailTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Le email e responde ao remetente.
+	 */
 	@Test
 	public void test() {
 		String id = mp.readEmail(EMAIL_ASSUNTO);
 		mp.replyEmail(id);
+		mp.assertMessage(MSG_EMAIL_ENVIADO);
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailSemHistoricoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailSemHistoricoTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailSemHistoricoTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.5] Responder Mensagem
+ * 
+ * Caso de Teste: EL-604:Responder a todos remetentes sem historico
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-604
+ * 
+ * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailMultiplosDestinatariosTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,8 +22,12 @@
 public class ResponderTodosEmailSemHistoricoTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Le e responde emails a todos sem historico.
+	 */
 	@Test
 	public void test() {
-		String id = mp.readEmail(EMAIL_ASSUNTO);
+		String id = mp.readEmail(EMAIL_ASSUNTO_MULTIPLOS_DESTINATARIOS);
 		mp.replyAllEmailWithoutHistory(id);
+		mp.assertMessage(MSG_EMAIL_ENVIADO);
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/EncaminharEmailTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/EncaminharEmailTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/EncaminharEmailTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.5] Responder Mensagem
+ * 
+ * Caso de Teste: EL-607:Encaminhar mensagem
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-607
+ * 
+ * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,8 +22,12 @@
 public class EncaminharEmailTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Le e encaminha um email.
+	 */
 	@Test
 	public void test() {
 		String id = mp.readEmail(EMAIL_ASSUNTO);
 		mp.forwardEmail(id, EMAIL_TESTE_1);
+		mp.assertMessage(MSG_EMAIL_ENVIADO);
 	}
 }
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailSemHistoricoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailSemHistoricoTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailSemHistoricoTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.5] Responder Mensagem
+ * 
+ * Caso de Teste: EL-606:Responder mensagem sem historico
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-606
+ * 
+ * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,8 +22,12 @@
 public class ResponderEmailSemHistoricoTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Le e responde mensagem sem o historico.
+	 */
 	@Test
 	public void test() {
 		String id = mp.readEmail(EMAIL_ASSUNTO);
 		mp.replyEmailWithoutHistory(id);
+		mp.assertMessage(MSG_EMAIL_ENVIADO);
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.5] Responder Mensagem
+ * 
+ * Caso de Teste: EL-605:Responder a todos remetentes
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-605
+ * 
+ * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailMultiplosDestinatariosTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,8 +22,12 @@
 public class ResponderTodosEmailTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Le email e responde a todos remetentes.
+	 */
 	@Test
 	public void test() {
-		String id = mp.readEmail(EMAIL_ASSUNTO);
+		String id = mp.readEmail(EMAIL_ASSUNTO_MULTIPLOS_DESTINATARIOS);
 		mp.replyAllEmail(id);
+		mp.assertMessage(MSG_EMAIL_ENVIADO);
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/MarcarEmailNaoLidoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/MarcarEmailNaoLidoTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/MarcarEmailNaoLidoTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.2] Ler Mensagem
+ * 
+ * Caso de Teste: EL-562:Marcar mensagem como nao lida
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-562
+ * 
+ * @see br.gov.serpro.expresso.cte.email.ler.LerEmailTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,4 +22,7 @@
 public class MarcarEmailNaoLidoTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Abre o email e marca o flag nao lido.
+	 */
 	@Test
 	public void test() {
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/MarcarEmailNormalTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/MarcarEmailNormalTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/MarcarEmailNormalTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.2] Ler Mensagem
+ * 
+ * Caso de Teste: EL-560:Marcar mensagem como normal
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-560
+ * 
+ * @see br.gov.serpro.expresso.cte.email.ler.MarcarEmailImportanteTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,4 +22,7 @@
 public class MarcarEmailNormalTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Muda flag para normal um email anteriormente marcado como importante.
+	 */
 	@Test
 	public void test() {
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/LerEmailTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/LerEmailTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/LerEmailTestCase.java	(revision 3766)
@@ -5,6 +5,25 @@
 import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;
 
+/**
+ * Suite:[FUN02.2] Ler mensagem
+ * 
+ * Caso de Teste: EL-550:Ler mensagem selecionada
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-550
+ * 
+ * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailTestCase
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Feb 14, 2011 at 3:24:55 PM
+ * 
+ */
 public class LerEmailTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Executa o teste. Apenas procura o email previamente enviado e tenta
+	 * abrir.
+	 */
 	@Test
 	public void test() {
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/ApagarEmailAbertoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/ApagarEmailAbertoTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/ApagarEmailAbertoTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.2] Ler Mensagem
+ * 
+ * Caso de Teste: EL-554:Apagar Mensagem sem Mensagem Anterior
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-554
+ * 
+ * @see br.gov.serpro.expresso.cte.email.ler.LerEmailTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,10 +22,12 @@
 public class ApagarEmailAbertoTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Apaga email previamente aberto.
+	 */
 	@Test
 	public void test() {
 		mp.readEmail(EMAIL_ASSUNTO);
-		mp.waitAMoment(100000000);
 		mp.deleteEmail();
-		// mp.assertMessage(MSG_EMAIL_APAGAR_MENSAGENS);
+		mp.assertMessage(MSG_EMAIL_APAGAR_MENSAGENS);
 	}
 }
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/MarcarEmailImportanteTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/MarcarEmailImportanteTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/ler/MarcarEmailImportanteTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.2] Ler Mensagem
+ * 
+ * Caso de Teste: EL-561:Marcar mensagem como importante
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-561
+ * 
+ * @see br.gov.serpro.expresso.cte.email.ler.LerEmailTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,4 +22,7 @@
 public class MarcarEmailImportanteTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Abre o email e marca o flag importante.
+	 */
 	@Test
 	public void test() {
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/pastas/ApagarPastaTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/pastas/ApagarPastaTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/pastas/ApagarPastaTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.6] Gerenciar Pastas
+ * 
+ * Caso de Teste: EL-614:Excluir pasta
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-614
+ * 
+ * @see br.gov.serpro.expresso.cte.email.pastas.CriarPastaTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,7 +22,11 @@
 public class ApagarPastaTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Exclui pasta padrao utilizada nos testes.
+	 */
 	@Test
-	public void test() throws Exception {
-		mp.deleteFolder("Selenium");
+	public void test() {
+		mp.deleteFolder(EMAIL_PASTA_TESTE);
+		mp.assertMessage(MSG_EMAIL_PASTA_REMOVIDA);
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/pastas/CriarPastaTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/pastas/CriarPastaTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/pastas/CriarPastaTestCase.java	(revision 3766)
@@ -6,4 +6,11 @@
 
 /**
+ * Suite:[FUN02.6] Gerenciar Pastas
+ * 
+ * Caso de Teste: EL-611:Criar pasta
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-611
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,7 +20,11 @@
 public class CriarPastaTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Cria uma pasta padrao para teste.
+	 * 
+	 */
 	@Test
-	public void test() throws Exception {
-		mp.createNewFolder("Selenium");
+	public void test() {
+		mp.createNewFolder(EMAIL_PASTA_TESTE);
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/MoverEmailSelecionadoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/MoverEmailSelecionadoTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/MoverEmailSelecionadoTestCase.java	(revision 3766)
@@ -6,4 +6,13 @@
 
 /**
+ * Suite:[FUN02.3] Listar Mensagem
+ * 
+ * Caso de Teste: EL-583:Mover mensagem
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-583
+ * 
+ * @see br.gov.serpro.expresso.cte.email.pastas.CriarPastaTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,8 +22,12 @@
 public class MoverEmailSelecionadoTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Move mensagem para uma pasta de teste previamente criada.
+	 */
 	@Test
-	public void testaMoverEmailSelecionado() throws Exception {
+	public void testaMoverEmailSelecionado() {
 		mp.findEmailIdBySuject(EMAIL_ASSUNTO, true);
-		mp.moveEmail("Selenium");
+		mp.moveEmail(EMAIL_PASTA_TESTE);
+		mp.assertMessage(MSG_EMAIL_MOVIDO);
 	}
 }
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/ApagarEmailSelecionadoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/ApagarEmailSelecionadoTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/ApagarEmailSelecionadoTestCase.java	(revision 3766)
@@ -1,4 +1,5 @@
 package br.gov.serpro.expresso.cte.email.listar;
 
+import org.testng.annotations.Parameters;
 import org.testng.annotations.Test;
 
@@ -6,4 +7,11 @@
 
 /**
+ * Suite:[FUN02.3] Listar Mensagem
+ * 
+ * Caso de Teste: EL-580:Apagar 1 mensagem
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-580
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,10 +21,15 @@
 public class ApagarEmailSelecionadoTestCase extends BaseEmailTestCase {
 
-	@Test
-	public void test() {
-		mp.findEmailIdBySuject(EMAIL_ASSUNTO, true);
+	private void deleteEmail(String subject) {
+		mp.findEmailIdBySuject(subject, true);
 		mp.deleteEmail();
 		mp.assertMessage(MSG_EMAIL_APAGAR_MENSAGEM);
 	}
 
+	@Parameters({ "folder", "subject" })
+	@Test
+	public void deleteFromFolder(String folder, String subject) {
+		mp.openFolder(folder);
+		this.deleteEmail(subject);
+	}
 }
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/ApagarTodosEmailsTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/ApagarTodosEmailsTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/ApagarTodosEmailsTestCase.java	(revision 3766)
@@ -1,4 +1,5 @@
 package br.gov.serpro.expresso.cte.email.listar;
 
+import org.testng.annotations.Parameters;
 import org.testng.annotations.Test;
 
@@ -6,4 +7,11 @@
 
 /**
+ * Suite:[FUN02.3] Listar Mensagem
+ * 
+ * Caso de Teste: EL-582:Apagar todas mensagens
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-582
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -13,9 +21,21 @@
 public class ApagarTodosEmailsTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Apaga todos emails de uma pasta.
+	 * 
+	 * @param folder
+	 *            Pasta contendo emails a serem apagados.
+	 */
 	@Test
-	public void test() {
+	@Parameters({ "folder" })
+	public void test(String folder) {
+		mp.openFolder(folder);
 		mp.selectAllEmails();
 		mp.deleteEmail();
-		mp.assertMessage(MSG_EMAIL_APAGAR_MENSAGEM);
+		if (mp.getTotalEmails() > 1) {
+			mp.assertMessage(MSG_EMAIL_APAGAR_MENSAGENS);
+		} else {
+			mp.assertMessage(MSG_EMAIL_APAGAR_MENSAGEM);
+		}
 	}
 }
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/ListarEmailsImportantesTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/ListarEmailsImportantesTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/ListarEmailsImportantesTestCase.java	(revision 3766)
@@ -1,6 +1,5 @@
 package br.gov.serpro.expresso.cte.email.listar;
 
-import junit.framework.Assert;
-
+import org.testng.Assert;
 import org.testng.annotations.Test;
 
@@ -8,4 +7,13 @@
 
 /**
+ * Suite:[FUN02.3] Listar Mensagens
+ * 
+ * Caso de Teste: EL-575:Listar mensagens importantes
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-575
+ * 
+ * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailImportanteTestCase
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -15,4 +23,9 @@
 public class ListarEmailsImportantesTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Filtra apenas as mensagens importantes da Caixa de Entrada.
+	 * 
+	 * @throws Exception
+	 */
 	@Test
 	public void test() throws Exception {
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/LimparLixeiraTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/LimparLixeiraTestCase.java	(revision 3708)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/listar/LimparLixeiraTestCase.java	(revision 3766)
@@ -7,4 +7,11 @@
 
 /**
+ * Suite:[FUN02.3] Listar Mensagem
+ * 
+ * Caso de Teste: EL-1102:Limpar lixeira
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-1102
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -14,4 +21,7 @@
 public class LimparLixeiraTestCase extends BaseEmailTestCase {
 
+	/**
+	 * Executa o teste.
+	 */
 	@Test
 	public void test() {
@@ -21,8 +31,5 @@
 		assert MSG_EMAIL_LIMPAR_LIXEIRA.equals(confirm.getText());
 		confirm.accept();
-
-		mp.assertMessage("Sua pasta Lixeira foi limpa.");
-
-		System.out.println("AFTER->" + mp.getTotalEmails());
+		mp.assertMessage(MSG_EMAIL_LIXEIRA_LIMPA);
 	}
 }
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Config.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Config.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Config.java	(revision 3766)
@@ -16,5 +16,4 @@
 	private Properties config;
 	private Properties mensagens;
-	private Properties campos;
 	private Properties valores;
 	private Properties emailPreferences;
@@ -26,6 +25,4 @@
 			this.mensagens = this
 					.load("br/gov/serpro/expresso/cte/common/mensagens.properties");
-			this.campos = this
-					.load("br/gov/serpro/expresso/cte/common/campos.properties");
 			this.valores = this
 					.load("br/gov/serpro/expresso/cte/common/valores.properties");
@@ -50,6 +47,6 @@
 	}
 
-	public String getCampo(String key) {
-		return this.campos.getProperty(key);
+	public String getMensagem(String key, Object... args) {
+		return MessageFormat.format(getMensagem(key), args);
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseTestCase.java	(revision 3766)
@@ -1,9 +1,12 @@
 package br.gov.serpro.expresso.cte.common;
 
+import org.openqa.selenium.By;
 import org.openqa.selenium.WebDriver;
 import org.openqa.selenium.firefox.FirefoxDriver;
 import org.openqa.selenium.support.PageFactory;
 import org.testng.annotations.AfterClass;
+import org.testng.annotations.AfterSuite;
 import org.testng.annotations.BeforeClass;
+import org.testng.annotations.BeforeSuite;
 
 import br.gov.serpro.expresso.cte.pages.common.LoginPage;
@@ -17,12 +20,24 @@
  */
 public class BaseTestCase implements Constants {
-	protected WebDriver driver;
 
-	@BeforeClass
-	public void beforeClass() {
+	/** Driver utilizado para rodar os testes. */
+	protected static WebDriver driver;
+
+	/**
+	 * Antes de comecar a suite de testes abrir o navegador.
+	 * 
+	 * TODO Parametrizar o driver de forma a abrir outros navegadores como o
+	 * Internet Explorer por exemplo.
+	 */
+	@BeforeSuite
+	public void beforeSuite() {
 		driver = new FirefoxDriver();
 		driver.get(URL);
 	}
 
+	/**
+	 * Antes de cada classe de teste o login na aplicacao eh realizado.
+	 */
+	@BeforeClass
 	public void login() {
 		LoginPage page = PageFactory.initElements(driver, LoginPage.class);
@@ -30,12 +45,28 @@
 	}
 
+	/**
+	 * Ao final de cada classe de teste o logout na aplicacao eh realizado.
+	 */
+	@AfterClass
+	public void logout() {
+		driver.findElement(By.id("logout_id")).click();
+	}
+
+	/**
+	 * Ao final da suite de testes fecha-se o driver (navegador).
+	 */
+	@AfterSuite
+	public void afterSuite() {
+		driver.close();
+	}
+
+	/**
+	 * Abre a pagina de preferencias do usuario.
+	 * 
+	 * @return
+	 */
 	public PreferencesPage openPreferencesPage() {
 		driver.get(URL_PREFERENCES);
 		return PageFactory.initElements(driver, PreferencesPage.class);
-	}
-
-	@AfterClass
-	public void afterClass() {
-		driver.close();
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Constants.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Constants.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Constants.java	(revision 3766)
@@ -1,4 +1,12 @@
 package br.gov.serpro.expresso.cte.common;
 
+/**
+ * Contem "atalhos" para as constantes usadas nos casos de teste.
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Feb 15, 2011 at 4:10:02 PM
+ * 
+ */
 public interface Constants {
 	public static final String URL = Config.getInstance().getConfig("url");
@@ -12,4 +20,6 @@
 	public static final String EMAIL_TESTE_1 = Config.getInstance().getValor(
 			"email.teste.1");
+	public static final String EMAIL_TESTE_2 = Config.getInstance().getValor(
+			"email.teste.2");
 	public static final String EMAIL_TESTE_N_DESTINATARIOS = Config
 			.getInstance().getValor("email.teste.multiplos");
@@ -18,10 +28,16 @@
 	public static final String EMAIL_ASSUNTO = Config.getInstance().getValor(
 			"assunto");
+	public static final String EMAIL_ASSUNTO_IMPORTANTE = Config.getInstance()
+			.getValor("assunto.importante");
 	public static final String EMAIL_ASSUNTO_SALVAR = Config.getInstance()
 			.getValor("assunto.salvar");
 	public static final String EMAIL_ASSUNTO_COPIA_OCULTA = Config
+			.getInstance().getValor("assunto.copia.oculta");
+	public static final String EMAIL_ASSUNTO_COPIA = Config.getInstance()
+			.getValor("assunto.copia");
+	public static final String EMAIL_ASSUNTO_SOMENTE_COPIA_OCULTA = Config
 			.getInstance().getValor("assunto.somente.copia.oculta");
-	public static final String EMAIL_ASSUNTO_COPIA = Config.getInstance()
-			.getValor("assunto.somente.copia");
+	public static final String EMAIL_ASSUNTO_SOMENTE_COPIA = Config
+			.getInstance().getValor("assunto.somente.copia");
 	public static final String EMAIL_ASSUNTO_ANEXO = Config.getInstance()
 			.getValor("assunto.anexo");
@@ -30,7 +46,13 @@
 	public static final String EMAIL_ASSUNTO_MULTIPLOS_DESTINATARIOS = Config
 			.getInstance().getValor("assunto.multiplos.destinatarios");
+	public static final String EMAIL_ASSUNTO_LEITURA = Config.getInstance()
+			.getValor("assunto.confirmacao.leitura");
 
 	public static final String EMAIL_TEXTO = Config.getInstance().getValor(
 			"texto.email");
+	public static final String EMAIL_TEXTO_SEM_ASSUNTO = Config.getInstance()
+			.getValor("texto.email.sem.assunto");
+	public static final String EMAIL_TEXTO_IMPORTANTE = Config.getInstance()
+			.getValor("texto.email.importante");
 	public static final String EMAIL_TEXTO_SALVAR = Config.getInstance()
 			.getValor("texto.email.salvo");
@@ -39,4 +61,8 @@
 	public static final String EMAIL_TEXTO_COPIA = Config.getInstance()
 			.getValor("texto.email.copia");
+	public static final String EMAIL_TEXTO_SOMENTE_COPIA_OCULTA = Config
+			.getInstance().getValor("texto.email.somente.copia.oculta");
+	public static final String EMAIL_TEXTO_SOMENTE_COPIA = Config.getInstance()
+			.getValor("texto.email.somente.copia");
 	public static final String EMAIL_TEXTO_ANEXO = Config.getInstance()
 			.getValor("texto.email.anexo");
@@ -45,6 +71,12 @@
 	public static final String EMAIL_TEXTO_MULTIPLOS_DESTINATARIOS = Config
 			.getInstance().getValor("texto.email.multiplos.destinatarios");
+	public static final String EMAIL_TEXTO_LEITURA = Config.getInstance()
+			.getValor("texto.email.confirmacao.leitura");
+	public static final String EMAIL_PASTA_TESTE = Config.getInstance()
+			.getValor("email.pasta.teste");
 	public static final String ANEXO_1 = Config.getInstance().getValor(
 			"anexo.1");
+	public static final String ANEXO_2 = Config.getInstance().getValor(
+			"anexo.2");
 
 	public static final String MSG_EMAIL_ENVIADO = Config.getInstance()
@@ -58,6 +90,10 @@
 	public static final String MSG_EMAIL_LIMPAR_LIXEIRA = Config.getInstance()
 			.getMensagem("limpar.lixeira");
+	public static final String MSG_EMAIL_LIXEIRA_LIMPA = Config.getInstance()
+			.getMensagem("lixeira.limpa");
 	public static final String MSG_EMAIL_DESTINATARIO_INVALIDO = Config
 			.getInstance().getMensagem("destinatario.invalido");
+	public static final String MSG_EMAIL_SEM_DESTINATARIO = Config
+			.getInstance().getMensagem("sem.destinatario");
 	public static final String MSG_EMAIL_IMPORTANTE = Config.getInstance()
 			.getMensagem("marcar.importante");
@@ -66,4 +102,10 @@
 	public static final String MSG_EMAIL_NAO_LIDO = Config.getInstance()
 			.getMensagem("marcar.nao.lido");
+	public static final String MSG_ENVIAR_SEM_ASSUNTO = Config.getInstance()
+			.getMensagem("mensagem.sem.assunto");
+	public static final String MSG_EMAIL_MOVIDO = Config.getInstance()
+			.getMensagem("email.movido", EMAIL_PASTA_TESTE);
+	public static final String MSG_EMAIL_PASTA_REMOVIDA = Config.getInstance()
+			.getMensagem("pasta.removida", EMAIL_PASTA_TESTE);
 
 }
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseEmailTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseEmailTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseEmailTestCase.java	(revision 3766)
@@ -27,6 +27,5 @@
 	@Test
 	public void init() {
-		System.out.println("init base email test case");
-		super.login();
+		// super.login();
 		HomePage hp = PageFactory.initElements(driver, HomePage.class);
 		hp.enterMail();
@@ -34,4 +33,9 @@
 	}
 
+	/**
+	 * Abre pagina de preferencias do modulo ExpressoMail
+	 * 
+	 * @return
+	 */
 	public ExpressoMailPreferencesPage openEmailPreferencesPage() {
 		driver.get(URL_PREFERENCES_EMAIL);
